# Uses of Interface
com.sun.mirror.util.SourcePosition

Packages that use SourcePosition
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
com.sun.mirror.declaration
Interfaces used to model program element declarations.
org.eclipse.jdt.apt.core.util
This package contains miscellaneous APIs related to Java annotation processing.

## Uses of SourcePosition in com.sun.mirror.apt

Methods in com.sun.mirror.apt with parameters of type SourcePosition
Modifier and Type
Method
Description
`void`
Messager.`printError(SourcePosition pos, String msg)`
Prints an error message.
`void`
Messager.`printNotice(SourcePosition pos, String msg)`
Prints a notice.
`void`
Messager.`printWarning(SourcePosition pos, String msg)`
Prints a warning message.

## Uses of SourcePosition in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return SourcePosition
Modifier and Type
Method
Description
`SourcePosition`
AnnotationMirror.`getPosition()`
Returns the source position of the beginning of this annotation.
`SourcePosition`
AnnotationValue.`getPosition()`
Returns the source position of the beginning of this annotation value.
`SourcePosition`
Declaration.`getPosition()`
Returns the source position of the beginning of this declaration.

## Uses of SourcePosition in org.eclipse.jdt.apt.core.util

Methods in org.eclipse.jdt.apt.core.util with parameters of type SourcePosition
Modifier and Type
Method
Description
`void`
EclipseMessager.`printFixableError(SourcePosition pos, String msg, String pluginId, String errorId)`
Print an error including the given arguments for use in quick-fixes.
`void`
EclipseMessager.`printFixableNotice(SourcePosition pos, String msg, String pluginId, String errorId)`
Print a notice including the given arguments for use in quick-fixes.
`void`
EclipseMessager.`printFixableWarning(SourcePosition pos, String msg, String pluginId, String errorId)`
Print a warning including the given arguments for use in quick-fixes.